<div id="iptesti-manage" class="wrap ipbe-wrap iptesti-admin iptesti-testimony">
    <div class="ipbe-inner">
        
        <?php
        $testimony = $this->testimony;
        if ( $testimony )
        {
            $this->header( 
                'iptesti',
                $testimony->testi_title,
                '<i class="ibe ibe-calendar"></i> Created: ' .
                    '<strong>' . mysql2date( 'd F Y, h:i', $testimony->testi_created ) . '</strong>',
                'pencil',
                array(
                    'title'     => __( 'Add New Testimony', 'wp_testimony_plus' ),
                    'link'      => 'admin.php?page=iptesti&action=create'
                )
            );
        } 
        else 
        {
            $this->header( 
                'iptesti',
                __( 'Add New Testimony', 'wp_testimony_plus' ),
                __( 'Add new testimony for displaying in your website', 'wp_testimony_plus' ),
                'plus-circle',
                false
            );
        }
        
        if ( $testimony )
        {
            $item_id = $this->testimony->testi_id;
            $form_id = 'iptesti-form-testimony-update';
            $button  = __( 'Update Testimony', 'wp_testimony_plus' );
        }
        else
        {
            $item_id = 0;
            $form_id = 'iptesti-form-testimony-create';
            $button  = __( 'Create Testimony', 'wp_testimony_plus' );
        }
        $form_action = admin_url( 'admin-ajax.php' ) . '?doajax=1&iptesti=1&action=iptesti_testimony_update';
        ?>
        <div class="ipbe-main">
            <div class="ipbe-main-info"></div>

            <div class="ipbe-primary">
                <div class="ipbe-manage-wrap container container-fluid">
                
<form id="<?php echo $form_id; ?>" class="ipbe-form" method="post" action="<?php echo $form_action; ?>">
    <input type="hidden" name="testimony_id" value="<?php echo $item_id; ?>">
    <div class="ipbe-fields">
        <div class="row">
            <div class="col-md-8">
            
                <?php
                //Input name
                $name = '';
                if ( $testimony ) {
                    $name = stripslashes( $testimony->testi_name );
                }
                ?>
                <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                    <div class="ipbe-form-label col-md-3 col-sm-12">
                        <label for="input-name"><?php _e( 'Author Name', 'wp_testimony_plus' ); ?></label>
                    </div>
                    <div class="ipbe-field col-md-9 col-sm-12">
                        <input type="text" id="input-name" class="ipbe-input ipbe-input-full" name="name" value="<?php echo $name; ?>">
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'The name of author of this testimonial.', 'wp_testimony_plus' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
                
                <?php
                //Input url
                $url = '';
                if ( $testimony ) {
                    $url = $testimony->testi_url;
                }
                ?>
                <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                    <div class="ipbe-form-label col-md-3 col-sm-12">
                        <label for="input-url"><?php _e( 'Author URL', 'wp_testimony_plus' ); ?></label>
                    </div>
                    <div class="ipbe-field col-md-9 col-sm-12">
                        <input type="text" id="input-url" class="ipbe-input ipbe-input-full" name="url" value="<?php echo $url; ?>">
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'The url of author of this testimonial.', 'wp_testimony_plus' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
            
                <?php
                //Input info
                $info = '';
                if ( $testimony ) {
                    $info = stripslashes( $testimony->testi_info );
                }
                ?>
                <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                    <div class="ipbe-form-label col-md-3 col-sm-12">
                        <label for="input-info"><?php _e( 'Author Info', 'wp_testimony_plus' ); ?></label>
                    </div>
                    <div class="ipbe-field col-md-9 col-sm-12">
                        <input type="text" id="input-info" class="ipbe-input ipbe-input-full" name="info" value="<?php echo $info; ?>">
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'The info of author of this testimonial. It could be for example the position or company of the author.', 'wp_testimony_plus' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
            
                <?php
                //Input url info
                $url = '';
                if ( $testimony ) {
                    $url = $testimony->testi_info_url;
                }
                ?>
                <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                    <div class="ipbe-form-label col-md-3 col-sm-12">
                        <label for="input-info-url"><?php _e( 'URL for Author Info', 'wp_testimony_plus' ); ?></label>
                    </div>
                    <div class="ipbe-field col-md-9 col-sm-12">
                        <input type="text" id="input-info-url" class="ipbe-input ipbe-input-full" name="info_url" value="<?php echo $url; ?>">
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'The url for the author info.', 'wp_testimony_plus' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
            
                <?php
                //Input url info target
                $target = 'false';
                if ( $testimony ) {
                    $_target = absint( $testimony->testi_info_url_target );
                    if ( $_target == 1 ) {
                        $target = 'true';
                    }
                }
                ?>
                <div class="ipbe-field-row ipbe-field-x">
                    <div class="ipbe-form-label col-md-3 col-sm-12">
                        <label for="input-info-url-target"><?php _e( 'Open URL in New Tab', 'wp_testimony_plus' ); ?></label>
                    </div>
                    <div class="ipbe-field col-md-9 col-sm-12">
            
                        <div class="ipbe-btn-onoff mr10">
                            <?php
                            if ( $target == 'false' ) {
                                $clon  = '';
                                $cloff = ' ipbe-btn-danger active';
                            } else {
                                $clon  = ' ipbe-btn-success active';
                                $cloff = '';
                            }
                            ?>
                            <div class="ipbe-btn-group">
                                <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_testimony_plus' ); ?></button>
                                <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_testimony_plus' ); ?></button>
                            </div>
                            <input type="hidden" class="ipbe-onoff-value" name="info_url_target" value="<?php echo $target; ?>" />
                        </div>
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'Set whether to open the page in a new tab when a link clicked.', 'wp_testimony_plus' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
            
                <?php
                //Input email
                $email = '';
                if ( $testimony ) {
                    $email = stripslashes( $testimony->testi_email );
                }
                ?>
                <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                    <div class="ipbe-form-label col-md-3 col-sm-12">
                        <label for="input-email"><?php _e( 'Author Email', 'wp_testimony_plus' ); ?></label>
                    </div>
                    <div class="ipbe-field col-md-9 col-sm-12">
                        <input type="text" id="input-email" class="ipbe-input ipbe-input-full" name="email" value="<?php echo $email; ?>">
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'This will not be displayed in the layout but it might be used to search for a gravatar if the image thumbnail is not set.', 'wp_testimony_plus' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
            
                <?php
                //Input title
                $title = '';
                if ( $testimony ) {
                    $title = stripslashes( $testimony->testi_title );
                }
                ?>
                <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                    <div class="ipbe-form-label col-md-3 col-sm-12">
                        <label for="input-title"><?php _e( 'Title for testimonial', 'wp_testimony_plus' ); ?></label>
                    </div>
                    <div class="ipbe-field col-md-9 col-sm-12">
                        <input type="text" id="input-title" class="ipbe-input ipbe-input-full" name="title" value="<?php echo $title; ?>">
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'Optional. Title to be added just before the testimonal/review text.', 'wp_testimony_plus' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
            
                <?php
                //Input content
                $content = '';
                if ( $testimony ) {
                    $content = stripslashes( $testimony->testi_content );
                }
                ?>
                <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                    <div class="ipbe-form-label">
                        <label for="input-content"><?php _e( 'Content for testimonial', 'wp_testimony_plus' ); ?></label>
                    </div>
                    <div class="ipbe-field">
                        <div class="ipbe-editor">
                            <?php
                            $tinymceInit = array(
                                'editor_height' => 70
                            );
                            wp_editor( $content, 'content', array( 
                                'editor_height' => 70,
                                'tinymce'       => $tinymceInit
                            )); 
                            ?>
                        </div>
                        
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'The content for testimonal/review.', 'wp_testimony_plus' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
            
                <?php
                //Input rating
                $rating = '';
                if ( $testimony ) {
                    $rating = absint( $testimony->testi_rating );
                }
                ?>
                <div class="ipbe-field-row ipbe-field-x">
                    <div class="ipbe-form-label col-md-3 col-sm-12">
                        <label for="input-rating"><?php _e( 'Rating', 'wp_testimony_plus' ); ?></label>
                    </div>
                    <div class="ipbe-field col-md-9 col-sm-12">
                        <select name="rating" id="input-rating">
                        <?php
                        $options = array(
                            1 => __( '1 Stars' ),
                            2 => __( '2 Stars' ),
                            3 => __( '3 Stars' ),
                            4 => __( '4 Stars' ),
                            5 => __( '5 Stars' )
                        );
                        foreach( $options as $key => $label ) {
                            $sltd = '';
                            if ( $rating == $key ) {
                                $sltd = ' selected="selected"';
                            }
                            echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                        }
                        ?>
                        </select>
                        <div class="ipbe-help">
                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                            <div class="ipbe-help-content ipbe-hide">
                                <?php _e( 'Optional. Only to be used in layout if choosen to. If you have the Rich Snippets option active in the settings it is recommended you insert a rating value.', 'wp_testimony_plus' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
                
                <?php
                $this->view( 'testimony/single' ); 
                ?>
            </div>
            
            <div class="col-md-4">
                <?php
                $this->view( 'testimony/thumbnail' ); 
                $this->view( 'testimony/attribute' ); 
                ?>
            </div>
        </div>
    </div>
    
    <div class="ipbe-manage-footer">
        <div class="row">
            <div class="col-md-6">
                <div class="ipbe-bottom-submit">
                    <button type="submit" class="ip-form-submit ipbe-btn ipbe-btn-primary ipbe-btn-lg" id="iptesti-form-save" name="form_save">
                        <i class="ibe ibe-floppy-o"></i>
                        <strong><?php echo $button; ?></strong>
                    </button>
                </div>
            </div>
            <div class="col-md-6">
                <?php
                if ( $this->form ):
                ?>
                <div class="ipbe-bottom-action text-right">
                    <a href="#" class="ipbe-btn ipbe-btn-danger ipbe-btn-lg iptesti-style-item-delete ipbe-del-edit" data-id="<?php echo $this->form->ID; ?>">
                        <i class="ibe ibe-trash"></i>
                        <?php _e( 'Delete', 'wp_testimony_plus' ); ?>
                    </a>
                </div>
                <?php
                endif;
                ?>
            </div>
        </div>
    
    </div>
</form>
                
                </div>
            </div>
        </div>
    </div>
</div>