<?php
$form = $this->form;
if ( ! $form ) {
    return;
}
$setting = $this->setting;
?>
<div class="iptesti_form_main">
    <?php
    if ( ! empty( $form->post_content )) :
    ?>
    <div class="iptesti_form_desc">
        <?php echo $form->post_content; ?>
    </div>
    <?php
    endif;
    
    $class  = 'iptesti_form';
    $class .= ' iptesti_form_style_' . $this->style;
    ?>
    <form class="<?php echo $class; ?>" action="" method="post" enctype="multipart/form-data">
        <input type="hidden" name="form_id" value="<?php echo $form->ID; ?>">
        <input type="hidden" name="group" value="<?php echo $setting->getSetting( 'group', 0 ); ?>">
        <div class="iptesti_fields">
            <?php
            //
            //Input Name
            $this->key         = 'name';
            $this->input_type  = 'text';
            $this->view( 'form/field' );
            //
            //Input Email
            $this->key         = 'email';
            $this->input_type  = 'text';
            $this->view( 'form/field' );
            
            //
            //Input Title
            if ( $setting->getSetting( 'title_on', 'true' ) == 'true' )
            {
                $this->key         = 'title';
                $this->input_type  = 'text';
                $this->view( 'form/field' );
            }
            
            //
            //Input Content
            $this->key         = 'content';
            $this->input_type  = 'textarea';
            $this->view( 'form/field' );
            
            //
            //Input subtitle
            if ( $setting->getSetting( 'subtitle_on', 'true' ) == 'true' )
            {
                $this->key         = 'subtitle';
                $this->input_type  = 'text';
                $this->view( 'form/field' );
            }
            
            //
            //Input url
            if ( $setting->getSetting( 'url_on', 'true' ) == 'true' )
            {
                $this->key         = 'url';
                $this->input_type  = 'text';
                $this->view( 'form/field' );
            }
            
            //
            //Input rating
            if ( $setting->getSetting( 'rating_on', 'true' ) == 'true' )
            {
                $this->key         = 'rating';
                $this->input_type  = 'rating';
                $this->view( 'form/field' );
            }
            ?>
        </div>
        <div class="_submit">
            <button id="<?php echo 'iptesti_form_' . $form->ID . '_submit'; ?>" class="iptesti_btn iptesti_btn_primary iptesti_form_submit" name="<?php echo 'input_form_' . $form->ID . '_submit'; ?>">
                <?php echo $setting->getSetting( 'button_label', __( 'Send', 'wp_testiminy_plus' ) ); ?>
            </button>
        </div>
    </form>
</div>