<?php
if ( ! class_exists( 'IPTesti_Shortcode' )) {

    /**
     * Class for handling administrator page
     */
    class IPTesti_Shortcode
    {
        /**
         * Show content editor
         *
         * @return void
         */
        public function editor()
        {
            $path = IPTESTI_PATH . 'app/views/admin/shortcode/';
            //
            //Include editor testimony
            include( $path . 'editor_testimony.php' );
            //
            //Include editor form
            include( $path . 'editor_form.php' );
        }
        
        /**
         * Create shortcode content
         *
         * @param  array  $atts
         * @param  string $content
         * @return string
         */
        public function testimony( $atts, $content = '' )
        {
            $factory = new IPTesti_Factory();
            $factory->testimony( $atts );
        }
        
        /**
         * Create shortcode content
         *
         * @param  array  $atts
         * @param  string $content
         * @return string
         */
        public function form( $atts, $content = '' )
        {
            if ( ! empty( $atts['label'] ) && $atts['label'] == 'true' ) {
                $atts['label'] = 1;
            } else {
                $atts['label'] = 0;
            }
            $factory = new IPTesti_Factory();
            $factory->form( $atts );
        }
    }
}