
<div id="iptesti_scwrap_testimony" class="ipbe-ui-modal iptesti_scwrap ipbe-wrap" style="display: none;">
    <div class="ipbe-ui-modal-main">
        <div id="iptesti_sceditor_testimony" class="ipbe-ui-modal-inner">
            <div class="ipbe-ui-modal-title">
                <h3><?php _e( 'Insert Testimonials', 'wp_testimony_plus' ); ?></h3>
                <div class="ipbe-ui-close">
                    <a class="iptesti-ui-close-link" href="#">x</a>
                </div>
            </div>
            <div class="ipbe-ui-modal-content">
                <form id="iptesti_scform_testimony" class="ipbe-form" action="" method="post">
                <div class="container container-fluid">
                <div class="ipbe-fields">
                
                    <div class="ipbe-field-row ipbe-field-x">
                        <div class="ipbe-form-label col-md-3 col-sm-12">
                            <label for="iptesti-isc-testimony-group"><strong><?php _e( 'Group', 'wp_testimony_plus' ); ?></strong></label>
                        </div>
                        <div class="ipbe-field col-md-9 col-sm-12">
                            <select id="iptesti-isc-testimony-group" name="testimony_group">
                                <?php
                                $model  = new IPTesti_Model();
                                $groups = $model->getGroups();
                                foreach( $groups as $group ) 
                                {
                                    echo '<option value="' . $group->testi_group_id .  '">' . $group->testi_group_title . '</option>';
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                    <div class="ipbe-field-row ipbe-field-x">
                        <div class="ipbe-form-label col-md-3 col-sm-12">
                            <label for="iptesti-isc-testimony-orderby"><strong><?php _e( 'Order By', 'wp_testimony_plus' ); ?></strong></label>
                        </div>
                        <div class="ipbe-field col-md-9 col-sm-12">
                            <select id="iptesti-isc-testimony-orderby" name="testimony_orderby">
                                <?php
                                $fields = array(
                                    'order'   => __( 'Order Attribute', 'wp_testimony_plus' ),
                                    'name'    => __( 'Author Name', 'wp_testimony_plus' ),
                                    'created' => __( 'Date Created', 'wp_testimony_plus' ),
                                    'rating'  => __( 'Rating', 'wp_testimony_plus' ),
                                );
                                foreach( $fields as $key => $label ) 
                                {
                                    echo '<option value="' . $key .  '">' . $label . '</option>';
                                }
                                ?>
                            </select>
                            <select id="iptesti-isc-testimony-order" name="testimony_order">
                                <?php
                                $fields = array(
                                    'asc'     => __( 'Ascending', 'wp_testimony_plus' ),
                                    'desc'    => __( 'Descending', 'wp_testimony_plus' )
                                );
                                foreach( $fields as $key => $label ) 
                                {
                                    echo '<option value="' . $key .  '">' . $label . '</option>';
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                    <div class="ipbe-field-row ipbe-field-x">
                        <div class="ipbe-form-label col-md-3 col-sm-12">
                            <label for="iptesti-isc-testimony-limit"><strong><?php _e( 'Limit', 'wp_testimony_plus' ); ?></strong></label>
                        </div>
                        <div class="ipbe-field col-md-9 col-sm-12">
                            <input type="text" id="iptesti-isc-testimony-limit" class="ipbe-input ipbe-input-sm" name="testimony_limit" value="">
                        </div>
                    </div>
                    <div class="ipbe-field-row ipbe-field-x">
                        <div class="ipbe-form-label col-md-3 col-sm-12">
                            <label for="iptesti-isc-testimony-style"><strong><?php _e( 'Style', 'wp_testimony_plus' ); ?></strong></label>
                        </div>
                        <div class="ipbe-field col-md-9 col-sm-12">
                            <select id="iptesti-isc-testimony-style" name="testimony_style">
                                <?php
                                $args = array(
                                    'orderby'        => 'post_title',
                                    'order'          => 'DESC', 
                                    'post_type'      => 'iptesti-style',
                                    'post_status'    => array('publish'),
                                    'posts_per_page' => -1,
                                    'paged'          => 1
                                );
                                $query  = new WP_Query;
                                $styles = $query->query( $args );
                                foreach( $styles as $style ) 
                                {
                                    echo '<option value="' . $style->ID .  '">' . $style->post_title . '</option>';
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                    <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                        <div class="ipbe-form-label col-md-3 col-sm-12">
                            <label for="iptesti-isc-testimony-product"><strong><?php _e( 'Product Being Reviewed', 'wp_testimony_plus' ); ?></strong></label>
                        </div>
                        <div class="ipbe-field col-md-9 col-sm-12">
                            <input type="text" id="iptesti-isc-testimony-product" class="ipbe-input ipbe-input-full" name="testimony_product" value="">
                            
                            <div class="ipbe-help">
                                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#">?</a>
                                <div class="ipbe-help-content ipbe-hide">
                                    <?php _e( 'Custom product name for Rich Snippets. Will only be used in Rich Snippets. Leave blank to use default Product set in the settings page.', 'wp_testimony_plus' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="iptesti-sc-footer">
                        <div class="ipbe-button">
                            <input type="submit" class="ipbe-btn ipbe-btn-primary" name="iptesti_scadd_testimony" id="iptesti_scadd_testimony" value="<?php _e( 'Insert Testimonials', 'wp_testimony_plus' ); ?>" />
                        </div>
                    </div>
        
                </div>
                </div>
                </form>
            </div>
        </div>
    </div>
</div>