<?php
$setting = $this->setting;
?>
<div class="ipbe-panel">
    <div class="ipbe-panel-header">
        <h3>
            <i class="ibe ibe-cog"></i> 
            <?php _e( 'Button Style', 'wp_testimony_plus' ); ?>
        </h3>
    </div>
    <div class="ipbe-panel-body">
        
        <?php
        //Button Style
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="button_style"><?php _e( 'Button Style', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                
                <select name="button_style" id="button_style">
                    <?php
                    $current = $setting->getSetting( 'button_style', 'flat' );
                    $styles  = array(
                        'flat'     => __( 'Flat', 'wp_testimony_plus' ),
                        'gradient' => __( 'Gradient', 'wp_testimony_plus' ),
                        'rounded'  => __( 'Rounded', 'wp_testimony_plus' )
                    );
                    foreach( $styles as $skey => $label ) {
                        $sltd = '';
                        if ( $skey == $current ) {
                            $sltd = ' selected="selected"';
                        }
                        echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
                    }
                    ?>
                </select>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'The style of the button.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
        
        <?php
        //Button Color
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="button_color"><?php _e( 'Button Color', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                
                <select name="button_color" id="button_color">
                    <?php
                    $current = $setting->getSetting( 'button_color', 'clean' );
                    $colors  = array(
                            'clean'    => __( 'Clean', 'wp_testimony_plus' ),
                            'dark'     => __( 'Dark', 'wp_testimony_plus' ),
                            'red'      => __( 'Red', 'wp_testimony_plus' ),
                            'blue'     => __( 'Blue', 'wp_testimony_plus' ),
                            'green'    => __( 'Green', 'wp_testimony_plus' ),
                            'orange'   => __( 'Orange', 'wp_testimony_plus' ),
                            'gold'     => __( 'Gold', 'wp_testimony_plus' ),
                            'aqua'     => __( 'Aqua', 'wp_testimony_plus' ),
                            'purple'   => __( 'Purple', 'wp_testimony_plus' ),
                            'lime'     => __( 'Lime', 'wp_testimony_plus' )
                    );
                    foreach( $colors as $skey => $label ) {
                        $sltd = '';
                        if ( $skey == $current ) {
                            $sltd = ' selected="selected"';
                        }
                        echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
                    }
                    ?>
                </select>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'The color of the button.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
    
        
    </div>
</div>