<?php
$setting = $this->setting;
?>
<div class="ipbe-panel">
    <div class="ipbe-panel-header">
        <h3>
            <i class="ibe ibe-chain"></i> 
            <?php _e( 'Hover Effect', 'wp_testimony_plus' ); ?>
        </h3>
    </div>
    <div class="ipbe-panel-body">
        <p class="py15 px20 m0"><?php _e( 'Effect that is executed when the user directs the cursor to the testimonial box.', 'wp_testimony_plus' );?>
        </p>
        
        <?php
        //Box Effect
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-box-effect"><?php _e( 'Select Effect', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                
                <select name="box_effect" id="input-box-effect">
                    <?php
                    $current = $setting->getSetting( 'box_effect', 'none' );
                    $effects = array(
                        'none'      => __( 'None', 'wp_testimony_plus' ),
                        'grow'      => __( 'Grow', 'wp_testimony_plus' ),
                        'pulse'     => __( 'Pulse', 'wp_testimony_plus' ),
                        'pop'       => __( 'Pop', 'wp_testimony_plus' ),
                        'bounce-in' => __( 'Bounce', 'wp_testimony_plus' ),
                        'float'     => __( 'Float', 'wp_testimony_plus' ),
                        'sink'      => __( 'Sink', 'wp_testimony_plus' ),
                        'wobble-vertical'    => __( 'Wobble', 'wp_testimony_plus' ),
                        'buzz'      => __( 'Buzz', 'wp_testimony_plus' )
                    );
                    foreach( $effects as $key => $label )
                    {
                        $sltd = '';
                        if ( $current == $key ) {
                            $sltd = ' selected="selected"';
                        }
                        echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                    }
                    ?>
                </select>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Animation effect for the testimonial box when the user directs the cursor to the testimonial box.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
        
    </div>
</div>