<h3 class="ipbe-field-title">
    <?php _e( 'Single Page Settings', 'wp_notification_plus' ); ?>
</h3>
<p><?php _e( 'Single page allows a testimony to the viewable content of the details on a separate page. On the list of testimony will be added a direct link to the single page.', 'wp_notification_plus' ); ?>

<?php
$page    = false;
$page_id = $this->testimony->testi_page;
if ( ! empty( $page_id )) {
    $page = get_post( $page_id );
}
$setting = new IPTesti_Setting( $page_id, '__iptesti-item-setting' );
?>
<div class="ipbe-field-row ipbe-field-x">
    <div class="ipbe-form-label col-md-3 col-sm-12">
        <label for="input-page-activate"><?php _e( 'Activating Single Page', 'wp_testimony_plus' ); ?></label>
    </div>
    <div class="ipbe-field col-md-9 col-sm-12">
    
        <div class="ipbe-btn-onoff mr10">
            <?php
            $target = 'false';
            if ( $page ) {
                $target = 'true';
            }
            if ( $target == 'false' ) {
                $clon  = '';
                $cloff = ' ipbe-btn-danger active';
            } else {
                $clon  = ' ipbe-btn-success active';
                $cloff = '';
            }
            ?>
            <div class="ipbe-btn-group">
                <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_testimony_plus' ); ?></button>
                <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_testimony_plus' ); ?></button>
            </div>
            <input type="hidden" class="ipbe-onoff-value" name="page_activate" value="<?php echo $target; ?>" />
        </div>
        <div class="ipbe-help">
            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
            <div class="ipbe-help-content ipbe-hide">
                <?php _e( 'Set On to activating case study page.', 'wp_testimony_plus' ); ?>
            </div>
        </div>
    </div>
</div>

<?php
//Input content
?>
<div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
    <div class="ipbe-form-label mb10">
        <label for="input-page-content"><?php _e( 'Content', 'wp_testimony_plus' ); ?></label>
    </div>
    <div class="ipbe-field">
    
        <div class="ipbe-editor">
            <?php
            $content = '';
            if ( $page ) {
                $content = $page->post_content;
            }
            $tinymceInit = array(
                'editor_height' => 70
            );
            wp_editor( $content, 'page_content', array( 
                'editor_height' => 70,
                'tinymce'       => $tinymceInit
            )); 
            ?>
        </div>
        
        <div class="ipbe-help">
            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
            <div class="ipbe-help-content ipbe-hide">
                <?php _e( 'The content will be added to the detail page of testimony.', 'wp_testimony_plus' ); ?>
            </div>
        </div>
    </div>
</div>