<?php
$id    = 'iptesti_form_' . $this->form->ID . '_' . $this->key;
$name  = $this->key;
$class = 'iptesti_field iptesti_field_' . $this->display . ' iptesti_clear';
if ( $this->useLabel ) {
    $class .= ' iptesti_field_w_label';
}
$setting = $this->setting;
$pholder = '';
if ( $text = $setting->getSetting( $this->key . '_placeholder' )) {
    $pholder = ' placeholder="' . $text . '"';
}
$label = $setting->getSetting( $this->key . '_label' );
?>
<div class="<?php echo $class; ?>">
    <div class="iptesti_field_label">
        <?php
        if ( $this->useLabel && ! empty( $label )) :
        ?>
        <label for="<?php echo $id; ?>">
            <strong>
                <?php
                echo $label;
                ?>
            </strong>
        </label>
        <?php
        endif;
        ?>
    </div>
    <div class="iptesti_field_input">
        <?php
        if ( $this->input_type == 'textarea' ) :
        ?>
        <textarea id="<?php echo $id; ?>" name="<?php echo $name; ?>" class="iptesti_field_control"<?php echo $pholder; ?>></textarea>
        <?php
        elseif ( $this->input_type == 'rating' ) :
        ?>
        <select id="<?php echo $id; ?>" name="<?php echo $name; ?>" class="iptesti_field_option">
            <?php
            $ratings = range( 1,5 );
            foreach( $ratings as $value ) {
                echo '<option value="' . $value . '">' . $value . '</option>';
            }
            ?>
        </select>
        <?php
        else :
        ?>
        <input type="text" id="<?php echo $id; ?>" name="<?php echo $name; ?>" class="iptesti_field_control"<?php echo $pholder; ?> value="">
        <?php
        endif;
        ?>
    </div>
</div>