<?php
$testimony = $this->testimony;
$setting   = $this->style_setting;
$config    = $this->thumbnail_config;
//
//Class
//
$class = 'iptesti_thumbnail_video';
//
//Radius
$shadow = $setting->getSetting( 'thumbnail_border_radius', 'none' );
$class .= ' iptesti_radius_' . $shadow;
//
//Modal
$vidurl = $config->getSetting( 'thumbnail_video_url' );
$modal  = $config->getSetting( 'thumbnail_video_target', 'false' );
if ( $modal == 'true' && ! empty( $vidurl ) ) {
    $class .= ' iptesti_video_modal';
} else {
    $class .= ' iptesti_video_link';
}
//
//Style
//
$bosize     = $setting->getSetting( 'thumbnail_border_width' );
$bocolor    = $setting->getSetting( 'thumbnail_border_color', '#222222' );
$style      = ' style="border: ' . $bosize . 'px solid ' . $bocolor . ';"';
?>
<div class="<?php echo $class; ?>">
    <div class="iptesti_video_preview">
        <?php
        $attach_id = false;
        if ( ! $attach_id = $config->getSetting( 'thumbnail_preview' ) ) {
            $attach_id = $setting->getSetting( 'default_image' );
        }
        if ( $attach_id ) 
        {
            $imgurl = $this->get_thumbnail( $attach_id, $config, $setting );
            $imgtag = '<img' . $style . ' src="' . $imgurl . '" alt="">';
            
            if ( $vidurl ) 
            {
                echo '<a href="' . $vidurl . '" data-modal="iptesti_thumb_video_' . $testimony->testi_id . '">' . $imgtag . '</a>';
            } else {
                echo $imgtag;
            }
        }
        ?>
        <i class="ibe ibe-play-circle-o"></i>
    </div>
</div>