<div id="ipsnot-setting" class="wrap ipbe-wrap ipsnot-admin">
    <div class="ipbe-inner">
        
        <?php $this->header( 'iptesti-setting' ); ?>
        
        <div class="ipbe-main">
            <div class="ipbe-main-info"></div>

            <div class="ipbe-primary">
                <div class="ipbe-setting-wrap">
                    <?php
                    $action = admin_url( 'admin-ajax.php' ) . '?doajax=1&iptesti=1&action=iptesti_setting';
                    ?>
                    <form id="iptesti-form-setting" class="ipbe-form" action="<?php echo $action; ?>" method="post">

    <div class="container-fluid container">
        <div class="mb20">
            <h3 class="ipbe-field-title py10">
                <?php _e( 'General', 'wp_testimony_plus' ); ?>
            </h3>
        </div>
        <div class="ipbe-fields">
        
            <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                <div class="ipbe-form-label col-md-3 col-sm-4">
                    <label for="input-slug"><?php _e( 'URL Slug', 'wp_testimony_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-md-7 col-sm-8">
                
                    <?php
                    $slug = stripslashes( get_option( '__iptesti_slug', 'testimonial' ) );
                    ?>
                    <input type="text" id="input-slug" class="ipbe-input ipbe-input-full" name="slug" value="<?php echo $slug; ?>">
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'String for URL of the testimonial case study.', 'wp_testimony_plus' ); ?>
                        </div>
                    </div>
                    
                </div>
            </div>
            
        </div>
        <div class="mb20">
            <h3 class="ipbe-field-title py10">
                <?php _e( 'Thumbnail', 'wp_testimony_plus' ); ?>
            </h3>
        </div>
        <div class="ipbe-fields">
        
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-3 col-sm-4">
                    <label for="input-gravatar"><?php _e( 'Use Gravatar', 'wp_testimony_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-md-7 col-sm-8">
                
                    <div class="ipbe-btn-onoff mr5">
                        <?php
                        $val = get_option( '__iptesti_gravatar', 'false' );
                        if ( $val == 'false' ) {
                            $clon  = '';
                            $cloff = ' ipbe-btn-danger active';
                        } else {
                            $clon  = ' ipbe-btn-success active';
                            $cloff = '';
                        }
                        ?>
                        <div class="ipbe-btn-group">
                            <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_testimony_plus' ); ?></button>
                            <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_testimony_plus' ); ?></button>
                        </div>
                        <input type="hidden" class="ipbe-onoff-value" name="gravatar" value="<?php echo $val; ?>" />
                    </div>
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( "If entry doesn't have a futured image but has an email, the plugin will check with the Gravatar service if there ia a profile image set for that email.", 'wp_testimony_plus' ); ?>
                        </div>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>

<div class="ipbe-form-footer">
    <div class="container-fluid container">
        <div class="col-xs-6">
            <button type="submit" id="" class="ipbe-btn ipbe-btn-primary ipbe-btn-lg ip-form-submit">
                <i class="ibe ibe-floppy-o"></i>
                <?php _e( 'Save Settings', 'wp_testimony_plus' ); ?>
            </button>
        </div>
    </div>
</div>
                    
                    </form>
    
                </div>
            </div>
        </div>
    </div>
</div>