
<div class="ipbe-panel">
    <div class="ipbe-panel-header">
        <h3>
            <i class="ibe ibe-tags"></i> 
            <?php _e( 'Attributes', 'wp_testimony_plus' ); ?>
        </h3>
    </div>
    <div class="ipbe-panel-body">
        
    <?php
    //Group
    ?>
    <div class="ipbe-field-row ipbe-field-y">
        <div class="ipbe-form-label">
            <label for="input-group"><?php _e( 'Group', 'wp_testimony_plus' ); ?></label>
        </div>
        <div class="ipbe-field">
            
            <select name="group" id="input-group">
                <?php
                //
                //Group
                $groupId = 0;
                $model   = new IPTesti_Model();
                $groups  = $model->getGroups(array(
                    'orderby' => 'testi_group_title'
                ));
                if ( $this->testimony ) {
                    $groupId = $this->testimony->testi_group_id;
                }
                foreach( $groups as $group )
                {
                    $sltd = '';
                    $key  = $group->testi_group_id;
                    if ( $groupId == $key ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $key . '"' . $sltd . '>' . $group->testi_group_title . '</option>';
                }
                $add_link = admin_url( 'admin.php' ) . '?page=iptesti-group&action=create';
                ?>
            </select>
            
            <a href="<?php echo $add_link; ?>" class="ipbe-btn ipbe-btn-success ipbe-btn-sm ml5">
                <?php _e( 'Add New', 'wp_testimony_plus' ); ?>
            </a>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'Group of testimony.', 'wp_testimony_plus' ); ?>
                </div>
            </div>
        </div>
    </div>
        
    <?php
    //Order
    ?>
    <div class="ipbe-field-row ipbe-field-y">
        <div class="ipbe-form-label">
            <label for="input-order"><?php _e( 'Order', 'wp_testimony_plus' ); ?></label>
        </div>
        <div class="ipbe-field">
            
            <?php
            $order = 0;
            if ( $this->testimony ) {
                $order = $this->testimony->testi_order;
            }
            ?>
            <input type="text" id="input-order" class="ipbe-input ipbe-input-xs" name="order" value="<?php echo $order; ?>">
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The order of testimony group.', 'wp_testimony_plus' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    
    </div>
</div>