<div id="iptesti-manage" class="wrap ipbe-wrap iptesti-admin">
    <div class="ipbe-inner">
        
        <?php
        $form    = $this->form;
        $setting = $this->setting;
        if ( $form )
        {
            $this->header( 
                'iptesti-form',
                $form->post_title,
                '<i class="ibe ibe-calendar"></i> Created: ' .
                    '<strong>' . mysql2date( 'd F Y, h:i', $form->post_date ) . '</strong>',
                'pencil',
                array(
                    'title'     => __( 'Add New Form', 'wp_testimony_plus' ),
                    'link'      => 'admin.php?page=iptesti-form&action=create'
                )
            );
        } 
        else 
        {
            $this->header( 
                'iptesti-form',
                __( 'Add New Form', 'wp_testimony_plus' ),
                __( 'Add new testimony front-end form', 'wp_testimony_plus' ),
                'plus-circle',
                false
            );
        }
        
        if ( $form )
        {
            $item_id = $form->ID;
            $form_id = 'iptesti-form-form-update';
            $button  = __( 'Update Form', 'wp_testimony_plus' );
        }
        else
        {
            $item_id = 0;
            $form_id = 'iptesti-form-form-create';
            $button  = __( 'Create Form', 'wp_testimony_plus' );
        }
        $form_action = admin_url( 'admin-ajax.php' ) . '?doajax=1&iptesti=1&action=iptesti_form_update';
        ?>
        <div class="ipbe-main">
            <div class="ipbe-main-info"></div>

            <div class="ipbe-primary">
                <div class="ipbe-manage-wrap container container-fluid">
                
<form id="<?php echo $form_id; ?>" class="ipbe-form" method="post" action="<?php echo $form_action; ?>">
    <input type="hidden" name="form_id" value="<?php echo $item_id; ?>">
    <div class="ipbe-fields">
    
        <?php
        //Input title
        $title = '';
        if ( $form ) {
            $title = stripslashes( $form->post_title );
        }
        ?>
        <div class="ipbe-field-row ipbe-field-y ipbe-help-abs pt0 pb30">
            <div class="ipbe-form-label">
                <label for="input-title"><?php _e( 'Title', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field">
                <input type="text" id="input-title" class="ipbe-input ipbe-input-full ipbe-input-v-lg" name="title" value="<?php echo $title; ?>">
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'The title of the form.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
    
        <?php
        //Input description
        $description = '';
        if ( $form ) {
            $description = stripslashes( $form->post_content );
        }
        ?>
        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
            <div class="ipbe-form-label col-lg-3 col-md-3 col-sm-12">
                <label for="input-description"><?php _e( 'Description', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-lg-9 col-md-9 col-sm-12">
                <textarea id="input-description" class="ipbe-input ipbe-input-full" name="description" rows="5"><?php echo $description; ?></textarea>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'The description of the form.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
    
        <?php
        //Input name
        ?>
        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
            <div class="ipbe-form-label col-lg-3 col-md-3 col-sm-12">
                <strong><?php _e( 'Input Name', 'wp_testimony_plus' ); ?></strong>
            </div>
            <div class="ipbe-field col-lg-9 col-md-9 col-sm-12">
                <?php
                $label       = stripslashes( $setting->getSetting( 'name_label' ) );
                $placeholder = stripslashes( $setting->getSetting( 'name_placeholder' ) );
                ?>
                <div class="row">
                    <div class="col-sm-6">
                        <input type="text" id="input-name-label" class="ipbe-input ipbe-input-full" name="name_label" value="<?php echo $label; ?>" placeholder="Input label">
                    </div>
                    <div class="col-sm-6">
                        <input type="text" id="input-name-placeholder" class="ipbe-input ipbe-input-full" name="name_placeholder" value="<?php echo $placeholder; ?>" placeholder="Input placeholder">
                    </div>
                </div>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Text to display for the title input.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
    
        <?php
        //Input email
        ?>
        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
            <div class="ipbe-form-label col-lg-3 col-md-3 col-sm-12">
                <strong><?php _e( 'Input Email', 'wp_testimony_plus' ); ?></strong>
            </div>
            <div class="ipbe-field col-lg-9 col-md-9 col-sm-12">
                <?php
                $label       = stripslashes( $setting->getSetting( 'email_label' ) );
                $placeholder = stripslashes( $setting->getSetting( 'email_placeholder' ) );
                ?>
                <div class="row">
                    <div class="col-sm-6">
                        <input type="text" id="input-email-label" class="ipbe-input ipbe-input-full" name="email_label" value="<?php echo $label; ?>" placeholder="Input label">
                    </div>
                    <div class="col-sm-6">
                        <input type="text" id="input-email-placeholder" class="ipbe-input ipbe-input-full" name="email_placeholder" value="<?php echo $placeholder; ?>" placeholder="Input placeholder">
                    </div>
                </div>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Text to display for the email input.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
    
        <?php
        //Input testimonial
        ?>
        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
            <div class="ipbe-form-label col-lg-3 col-md-3 col-sm-12">
                <strong><?php _e( 'Input Testimonial', 'wp_testimony_plus' ); ?></strong>
            </div>
            <div class="ipbe-field col-lg-9 col-md-9 col-sm-12">
                <?php
                $label       = stripslashes( $setting->getSetting( 'content_label' ) );
                $placeholder = stripslashes( $setting->getSetting( 'content_placeholder' ) );
                ?>
                <div class="row">
                    <div class="col-sm-6">
                        <input type="text" id="input-content-label" class="ipbe-input ipbe-input-full" name="content_label" value="<?php echo $label; ?>" placeholder="Input label">
                    </div>
                    <div class="col-sm-6">
                        <input type="text" id="input-content-placeholder" class="ipbe-input ipbe-input-full" name="content_placeholder" value="<?php echo $placeholder; ?>" placeholder="Input placeholder">
                    </div>
                </div>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Text to display for the Testimonial Content input.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
    
        <?php
        //Input testimonial title
        ?>
        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
            <div class="ipbe-form-label col-lg-3 col-md-3 col-sm-12">
                <strong><?php _e( 'Input Testimonial Title', 'wp_testimony_plus' ); ?></strong>
            </div>
            <div class="ipbe-field col-lg-9 col-md-9 col-sm-12">
                <?php
                $label       = stripslashes( $setting->getSetting( 'title_label' ) );
                $placeholder = stripslashes( $setting->getSetting( 'title_placeholder' ) );
                ?>
                <div class="row">
                    <div class="col-sm-2">
                        <div class="ipbe-btn-onoff">
                            <?php
                            $val = $setting->getSetting( 'title_on', 'true' );
                            if ( $val == 'false' ) {
                                $clon  = '';
                                $cloff = ' ipbe-btn-danger active';
                            } else {
                                $clon  = ' ipbe-btn-success active';
                                $cloff = '';
                            }
                            ?>
                            <div class="ipbe-btn-group">
                                <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_testimony_plus' ); ?></button>
                                <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_testimony_plus' ); ?></button>
                            </div>
                            <input type="hidden" class="ipbe-onoff-value" name="title_on" value="<?php echo $val; ?>" />
                        </div>
                    </div>
                    <div class="col-sm-5">
                        <input type="text" id="input-title-label" class="ipbe-input ipbe-input-full" name="title_label" value="<?php echo $label; ?>" placeholder="Input label">
                    </div>
                    <div class="col-sm-5">
                        <input type="text" id="input-title-placeholder" class="ipbe-input ipbe-input-full" name="title_placeholder" value="<?php echo $placeholder; ?>" placeholder="Input placeholder">
                    </div>
                </div>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Text to display for the Testimonial Title input.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
    
        <?php
        //Input subtitle
        ?>
        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
            <div class="ipbe-form-label col-lg-3 col-md-3 col-sm-12">
                <strong><?php _e( 'Input Author Info', 'wp_testimony_plus' ); ?></strong>
            </div>
            <div class="ipbe-field col-lg-9 col-md-9 col-sm-12">
                <?php
                $label       = stripslashes( $setting->getSetting( 'subtitle_label' ) );
                $placeholder = stripslashes( $setting->getSetting( 'subtitle_placeholder' ) );
                ?>
                <div class="row">
                    <div class="col-sm-2">
                        <div class="ipbe-btn-onoff">
                            <?php
                            $val = $setting->getSetting( 'subtitle_on', 'true' );
                            if ( $val == 'false' ) {
                                $clon  = '';
                                $cloff = ' ipbe-btn-danger active';
                            } else {
                                $clon  = ' ipbe-btn-success active';
                                $cloff = '';
                            }
                            ?>
                            <div class="ipbe-btn-group">
                                <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_testimony_plus' ); ?></button>
                                <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_testimony_plus' ); ?></button>
                            </div>
                            <input type="hidden" class="ipbe-onoff-value" name="subtitle_on" value="<?php echo $val; ?>" />
                        </div>
                    </div>
                    <div class="col-sm-5">
                        <input type="text" id="input-subtitle-label" class="ipbe-input ipbe-input-full" name="subtitle_label" value="<?php echo $label; ?>" placeholder="Input label">
                    </div>
                    <div class="col-sm-5">
                        <input type="text" id="input-subtitle-placeholder" class="ipbe-input ipbe-input-full" name="subtitle_placeholder" value="<?php echo $placeholder; ?>" placeholder="Input placeholder">
                    </div>
                </div>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Text to display for the author information input.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
    
        <?php
        //Input url
        ?>
        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
            <div class="ipbe-form-label col-lg-3 col-md-3 col-sm-12">
                <strong><?php _e( 'Input URL', 'wp_testimony_plus' ); ?></strong>
            </div>
            <div class="ipbe-field col-lg-9 col-md-9 col-sm-12">
                <?php
                $label       = stripslashes( $setting->getSetting( 'url_label' ) );
                $placeholder = stripslashes( $setting->getSetting( 'url_placeholder' ) );
                ?>
                <div class="row">
                    <div class="col-sm-2">
                        <div class="ipbe-btn-onoff">
                            <?php
                            $val = $setting->getSetting( 'url_on', 'true' );
                            if ( $val == 'false' ) {
                                $clon  = '';
                                $cloff = ' ipbe-btn-danger active';
                            } else {
                                $clon  = ' ipbe-btn-success active';
                                $cloff = '';
                            }
                            ?>
                            <div class="ipbe-btn-group">
                                <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_testimony_plus' ); ?></button>
                                <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_testimony_plus' ); ?></button>
                            </div>
                            <input type="hidden" class="ipbe-onoff-value" name="url_on" value="<?php echo $val; ?>" />
                        </div>
                    </div>
                    <div class="col-sm-5">
                        <input type="text" id="input-url-label" class="ipbe-input ipbe-input-full" name="url_label" value="<?php echo $label; ?>" placeholder="Input label">
                    </div>
                    <div class="col-sm-5">
                        <input type="text" id="input-url-placeholder" class="ipbe-input ipbe-input-full" name="url_placeholder" value="<?php echo $placeholder; ?>" placeholder="Input placeholder">
                    </div>
                </div>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Text to display for the URL input.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
    
        <?php
        //Input rating
        ?>
        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
            <div class="ipbe-form-label col-lg-3 col-md-3 col-sm-12">
                <strong><?php _e( 'Input Rating', 'wp_testimony_plus' ); ?></strong>
            </div>
            <div class="ipbe-field col-lg-9 col-md-9 col-sm-12">
                <?php
                $label       = stripslashes( $setting->getSetting( 'rating_label' ) );
                ?>
                <div class="row">
                    <div class="col-sm-2">
                        <div class="ipbe-btn-onoff">
                            <?php
                            $val = $setting->getSetting( 'rating_on', 'true' );
                            if ( $val == 'false' ) {
                                $clon  = '';
                                $cloff = ' ipbe-btn-danger active';
                            } else {
                                $clon  = ' ipbe-btn-success active';
                                $cloff = '';
                            }
                            ?>
                            <div class="ipbe-btn-group">
                                <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_testimony_plus' ); ?></button>
                                <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_testimony_plus' ); ?></button>
                            </div>
                            <input type="hidden" class="ipbe-onoff-value" name="rating_on" value="<?php echo $val; ?>" />
                        </div>
                    </div>
                    <div class="col-sm-5">
                        <input type="text" id="input-rating-label" class="ipbe-input ipbe-input-full" name="rating_label" value="<?php echo $label; ?>" placeholder="Input label">
                    </div>
                </div>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Text to display for the Rating options.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
    
        <?php
        //Submit button Label
        ?>
        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
            <div class="ipbe-form-label col-lg-3 col-md-3 col-sm-12">
                <strong><?php _e( 'Submit Button Label', 'wp_testimony_plus' ); ?></strong>
            </div>
            <div class="ipbe-field col-lg-9 col-md-9 col-sm-12">
                <?php
                $label = stripslashes( $setting->getSetting( 'button_label' ) );
                ?>
                <input type="text" id="input-button-label" class="ipbe-input ipbe-input-full" name="button_label" value="<?php echo $label; ?>" placeholder="Input label">
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Text to display on the submit button.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
    
        <?php
        //Group
        ?>
        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
            <div class="ipbe-form-label col-lg-3 col-md-3 col-sm-12">
                <strong><?php _e( 'Save Testimony to Group', 'wp_testimony_plus' ); ?></strong>
            </div>
            <div class="ipbe-field col-lg-9 col-md-9 col-sm-12">
                
                <select name="group" id="input-group">
                    <?php
                    //
                    //Group
                    $groupId = 0;
                    $model   = new IPTesti_Model();
                    $groups  = $model->getGroups(array(
                        'orderby' => 'testi_group_title'
                    ));
                    $groupId = $setting->getSetting( 'group' );
                    foreach( $groups as $group )
                    {
                        $sltd = '';
                        $key  = $group->testi_group_id;
                        if ( $groupId == $key ) {
                            $sltd = ' selected="selected"';
                        }
                        echo '<option value="' . $key . '"' . $sltd . '>' . $group->testi_group_title . '</option>';
                    }
                    $add_link = admin_url( 'admin.php' ) . '?page=iptesti-group&action=create';
                    ?>
                </select>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Groups in which testimony will be recorded.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
        
        <h3 class="ipbe-field-title">
            <?php _e( 'Confirmation &amp; Email Settings', 'wp_notification_plus' ); ?>
        </h3>
    
        <?php
        //Input thank message
        ?>
        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
            <div class="ipbe-form-label col-lg-3 col-md-3 col-sm-12">
                <label for="input-message-thank"><?php _e( 'Thank You Message', 'wp_testimony_plus' ); ?></strong>
            </div>
            <div class="ipbe-field col-lg-9 col-md-9 col-sm-12">
                <div class="ipbe-editor">
                    <?php
                    $tinymceInit = array(
                        'editor_height' => 70
                    );
                    $message = stripslashes( $setting->getSetting( 'message_thank', '' ));
                    wp_editor( $message, 'message_thank', array( 
                        'editor_height' => 70,
                        'tinymce'       => $tinymceInit
                    )); 
                    ?>
                </div>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Text that is displayed when the testimony successfully saved.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
    
        <?php
        //Input error message
        ?>
        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
            <div class="ipbe-form-label col-lg-3 col-md-3 col-sm-12">
                <label for="input-message-thank"><?php _e( 'Error Message', 'wp_testimony_plus' ); ?></strong>
            </div>
            <div class="ipbe-field col-lg-9 col-md-9 col-sm-12">
                <div class="ipbe-editor">
                    <?php
                    $tinymceInit = array(
                        'editor_height' => 70
                    );
                    $message = stripslashes( $setting->getSetting( 'message_error', '' ));
                    wp_editor( $message, 'message_error', array( 
                        'editor_height' => 70,
                        'tinymce'       => $tinymceInit
                    )); 
                    ?>
                </div>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Text that is displayed when the testimony failed to saved.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
    
        <?php
        //Send
        ?>
        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
            <div class="ipbe-form-label col-lg-3 col-md-3 col-sm-12">
                <label for="input-send-email"><?php _e( 'Send Notification Email', 'wp_testimony_plus' ); ?></strong>
            </div>
            <div class="ipbe-field col-lg-9 col-md-9 col-sm-12">
                <?php
                $send = stripslashes( $setting->getSetting( 'send_email', 1 ) );
                if ($send == 1 ){
                    $checked = ' checked="checked"';
                }
                ?>
                <label>
                    <input type="checkbox" id="input-send-email" class="ipbe-input" name="send_email" value="1"<?php echo $checked; ?>> 
                    <?php _e( 'Send new entry notification email to site adminstrator', 'wp_testimony_plus' ); ?>
                </label>
            </div>
        </div>
    
        <?php
        //Email
        ?>
        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
            <div class="ipbe-form-label col-lg-3 col-md-3 col-sm-12">
                <label for="input-admin-email"><?php _e( 'Send Email to', 'wp_testimony_plus' ); ?></strong>
            </div>
            <div class="ipbe-field col-lg-9 col-md-9 col-sm-12">
                <?php
                $email = stripslashes( $setting->getSetting( 'admin_email' ) );
                ?>
                <input type="text" id="input-admin-email" class="ipbe-input ipbe-input-lg" name="admin_email" value="<?php echo $email; ?>">
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Notification email will be send to this address .', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
        
    </div>
    
    <div class="ipbe-manage-footer">
        <div class="row">
            <div class="col-md-6">
                <div class="ipbe-bottom-submit">
                    <button type="submit" class="ip-form-submit ipbe-btn ipbe-btn-primary ipbe-btn-lg" id="iptesti-form-save" name="form_save">
                        <i class="ibe ibe-floppy-o"></i>
                        <strong><?php echo $button; ?></strong>
                    </button>
                </div>
            </div>
            <div class="col-md-6">
                <?php
                if ( $form ):
                ?>
                <div class="ipbe-bottom-action text-right">
                    <a href="#" class="ipbe-btn ipbe-btn-danger ipbe-btn-lg iptesti-style-item-delete ipbe-del-edit" data-id="<?php echo $form->ID; ?>">
                        <i class="ibe ibe-trash"></i>
                        <?php _e( 'Delete', 'wp_testimony_plus' ); ?>
                    </a>
                </div>
                <?php
                endif;
                ?>
            </div>
        </div>
    
    </div>
</form>
                
                </div>
            </div>
        </div>
    </div>
</div>