<div id="ipsnot-setting" class="wrap ipbe-wrap ipsnot-admin">
    <div class="ipbe-inner">
        
        <?php $this->header( 'iptesti-setting' ); ?>
        
        <div class="ipbe-main">
            <div class="ipbe-main-info"></div>

            <div class="ipbe-primary">
                <div class="ipbe-setting-wrap">
                    <?php
                    $action = admin_url( 'admin-ajax.php' ) . '?doajax=1&iptesti=1&action=iptesti_setting';
                    ?>
                    <form id="iptesti-form-setting" class="ipbe-form" action="<?php echo $action; ?>" method="post">

    <div class="container-fluid container">
        <div class="mb20">
            <h3 class="ipbe-field-title py10">
                <?php _e( 'General', 'wp_testimony_plus' ); ?>
            </h3>
        </div>
        <div class="ipbe-fields">
        
            <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                <div class="ipbe-form-label col-md-3 col-sm-4">
                    <label for="input-slug"><?php _e( 'URL Slug', 'wp_testimony_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-md-7 col-sm-8">
                
                    <?php
                    $slug = stripslashes( get_option( '__iptesti_slug', 'testimonial' ) );
                    ?>
                    <input type="text" id="input-slug" class="ipbe-input ipbe-input-full" name="slug" value="<?php echo $slug; ?>">
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'String for URL of the testimonial case study.', 'wp_testimony_plus' ); ?>
                        </div>
                    </div>
                    
                </div>
            </div>
            
        </div>
        <div class="mb20 mt20">
            <h3 class="ipbe-field-title py10">
                <?php _e( 'Rich Snippets Settings', 'wp_testimony_plus' ); ?>
            </h3>
        </div>
        <div class="ipbe-fields">
        
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-3 col-sm-4">
                    <label for="input-schema-shortcode"><?php _e( 'Activate Rich Snippets in shortcodes', 'wp_testimony_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-md-7 col-sm-8">
                
                    <div class="ipbe-btn-onoff mr5">
                        <?php
                        $val = get_option( '__iptesti_schema_shortcode', 'false' );
                        if ( $val == 'false' ) {
                            $clon  = '';
                            $cloff = ' ipbe-btn-danger active';
                        } else {
                            $clon  = ' ipbe-btn-success active';
                            $cloff = '';
                        }
                        ?>
                        <div class="ipbe-btn-group">
                            <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_testimony_plus' ); ?></button>
                            <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_testimony_plus' ); ?></button>
                        </div>
                        <input type="hidden" class="ipbe-onoff-value" name="schema_shortcode" value="<?php echo $val; ?>" />
                    </div>
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'If this option is enabled then Schema.org Aggregate Review data will be added to the layouts generated by shortcodes.', 'wp_testimony_plus' ); ?>
                        </div>
                    </div>
                    
                </div>
            </div>
        
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-3 col-sm-4">
                    <label for="input-schema-widget"><?php _e( 'Activate Rich Snippets in widget', 'wp_testimony_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-md-7 col-sm-8">
                
                    <div class="ipbe-btn-onoff mr5">
                        <?php
                        $val = get_option( '__iptesti_schema_widget', 'false' );
                        if ( $val == 'false' ) {
                            $clon  = '';
                            $cloff = ' ipbe-btn-danger active';
                        } else {
                            $clon  = ' ipbe-btn-success active';
                            $cloff = '';
                        }
                        ?>
                        <div class="ipbe-btn-group">
                            <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_testimony_plus' ); ?></button>
                            <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_testimony_plus' ); ?></button>
                        </div>
                        <input type="hidden" class="ipbe-onoff-value" name="schema_widget" value="<?php echo $val; ?>" />
                    </div>
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'If this option is enabled then Schema.org Aggregate Review data will be added to the layouts in widget.', 'wp_testimony_plus' ); ?>
                        </div>
                    </div>
                    
                </div>
            </div>
        
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-3 col-sm-4">
                    <label for="input-schema-shortcode"><?php _e( 'Activate Rich Snippets in single pages', 'wp_testimony_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-md-7 col-sm-8">
                
                    <div class="ipbe-btn-onoff mr5">
                        <?php
                        $val = get_option( '__iptesti_schema_page', 'false' );
                        if ( $val == 'false' ) {
                            $clon  = '';
                            $cloff = ' ipbe-btn-danger active';
                        } else {
                            $clon  = ' ipbe-btn-success active';
                            $cloff = '';
                        }
                        ?>
                        <div class="ipbe-btn-group">
                            <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_testimony_plus' ); ?></button>
                            <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_testimony_plus' ); ?></button>
                        </div>
                        <input type="hidden" class="ipbe-onoff-value" name="schema_page" value="<?php echo $val; ?>" />
                    </div>
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'If this option is enabled then Schema.org Review data will be added to the single page for the entries.', 'wp_testimony_plus' ); ?>
                        </div>
                    </div>
                    
                </div>
            </div>
            
        </div>
        <div class="mb20">
            <h3 class="ipbe-field-title py10">
                <?php _e( 'Product or Service being Reviewed', 'wp_testimony_plus' ); ?>
            </h3>
        </div>
        <p><?php _e( 'The search engines need to know what is being reviewed. Use one of the two options bellow to define what product or service is being reviewed. In addition, you can also set a custom product or service name for each layout you create with editor shortcode.', 'wp_testimony_plus' ); ?></p>
        <div class="ipbe-fields">
        
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-3 col-sm-4">
                    <label for="input-group-as-product"><?php _e( 'Use Groups as Products', 'wp_testimony_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-md-7 col-sm-8">
                
                    <div class="ipbe-btn-onoff mr5">
                        <?php
                        $val = get_option( '__iptesti_group_as_product', 'false' );
                        if ( $val == 'false' ) {
                            $clon  = '';
                            $cloff = ' ipbe-btn-danger active';
                        } else {
                            $clon  = ' ipbe-btn-success active';
                            $cloff = '';
                        }
                        ?>
                        <div class="ipbe-btn-group">
                            <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_testimony_plus' ); ?></button>
                            <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_testimony_plus' ); ?></button>
                        </div>
                        <input type="hidden" class="ipbe-onoff-value" name="group_as_product" value="<?php echo $val; ?>" />
                    </div>
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'If this option is enabled then group name use as product title.', 'wp_testimony_plus' ); ?>
                        </div>
                    </div>
                    
                </div>
            </div>
            <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                <div class="ipbe-form-label col-md-3 col-sm-4">
                    <label for="input-product-name"><?php _e( 'Default Product/Service Name', 'wp_testimony_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-md-7 col-sm-8">
                
                    <?php
                    $name = stripslashes( get_option( '__iptesti_product_name' ) );
                    ?>
                    <input type="text" id="input-product-name" class="ipbe-input ipbe-input-full" name="product_name" value="<?php echo $name; ?>">
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Default product name to be used in rich snippets information, in case the categories are off or do not exist, or product information for the entry is empty.', 'wp_testimony_plus' ); ?>
                        </div>
                    </div>
                    
                </div>
            </div>
        </div>
        <div class="mb20">
            <h3 class="ipbe-field-title py10">
                <?php _e( 'Thumbnail', 'wp_testimony_plus' ); ?>
            </h3>
        </div>
        <div class="ipbe-fields">
        
            <div class="ipbe-field-row ipbe-field-x">
                <div class="ipbe-form-label col-md-3 col-sm-4">
                    <label for="input-gravatar"><?php _e( 'Use Gravatar', 'wp_testimony_plus' ); ?></label>
                </div>
                <div class="ipbe-field col-md-7 col-sm-8">
                
                    <div class="ipbe-btn-onoff mr5">
                        <?php
                        $val = get_option( '__iptesti_gravatar', 'false' );
                        if ( $val == 'false' ) {
                            $clon  = '';
                            $cloff = ' ipbe-btn-danger active';
                        } else {
                            $clon  = ' ipbe-btn-success active';
                            $cloff = '';
                        }
                        ?>
                        <div class="ipbe-btn-group">
                            <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_testimony_plus' ); ?></button>
                            <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_testimony_plus' ); ?></button>
                        </div>
                        <input type="hidden" class="ipbe-onoff-value" name="gravatar" value="<?php echo $val; ?>" />
                    </div>
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( "If entry doesn't have a futured image but has an email, the plugin will check with the Gravatar service if there ia a profile image set for that email.", 'wp_testimony_plus' ); ?>
                        </div>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>

<div class="ipbe-form-footer">
    <div class="container-fluid container">
        <div class="col-xs-6">
            <button type="submit" id="" class="ipbe-btn ipbe-btn-primary ipbe-btn-lg ip-form-submit">
                <i class="ibe ibe-floppy-o"></i>
                <?php _e( 'Save Settings', 'wp_testimony_plus' ); ?>
            </button>
        </div>
    </div>
</div>
                    
                    </form>
    
                </div>
            </div>
        </div>
    </div>
</div>