
<div id="iptesti_scwrap_form" class="ipbe-ui-modal iptesti_scwrap ipbe-wrap" style="display: none;">
    <div class="ipbe-ui-modal-main">
        <div id="iptesti_sceditor_form" class="ipbe-ui-modal-inner">
            <div class="ipbe-ui-modal-title">
                <h3><?php _e( 'Insert Form Testimony', 'wp_testimony_plus' ); ?></h3>
                <div class="ipbe-ui-close">
                    <a class="iptesti-ui-close-link" href="#">x</a>
                </div>
            </div>
            <div class="ipbe-ui-modal-content">
                <form id="iptesti_scform_form" class="ipbe-form" action="" method="post">
                <div class="container container-fluid">
                <div class="ipbe-fields">
                
                    <div class="ipbe-field-row ipbe-field-x">
                        <div class="ipbe-form-label col-md-3 col-sm-12">
                            <label for="iptesti-isc-form"><?php _e( 'Form', 'wp_testimony_plus' ); ?></label>
                        </div>
                        <div class="ipbe-field col-md-9 col-sm-12">
                            <select id="iptesti-isc-form" name="form">
                                <?php
                                $args = array(
                                    'orderby'        => 'post_title',
                                    'order'          => 'DESC', 
                                    'post_type'      => 'iptesti-form',
                                    'post_status'    => array('publish'),
                                    'posts_per_page' => -1,
                                    'paged'          => 1
                                );
                                $query = new WP_Query;
                                $forms = $query->query( $args );
                                foreach( $forms as $form ) 
                                {
                                    echo '<option value="' . $form->ID .  '">' . $form->post_title . '</option>';
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                
                    <div class="ipbe-field-row ipbe-field-x">
                        <div class="ipbe-form-label col-md-3 col-sm-12">
                            <label for="iptesti-isc-form-display"><?php _e( 'Display', 'wp_testimony_plus' ); ?></label>
                        </div>
                        <div class="ipbe-field col-md-9 col-sm-12">
                            <select id="iptesti-isc-form-display" name="display">
                                <?php
                                $options = array(
                                    'inline'   => __( 'Inline', 'wp_testimony_plus' ),
                                    'block'    => __( 'Block', 'wp_testimony_plus' )
                                );
                                foreach( $options as $key => $label ) 
                                {
                                    echo '<option value="' . $key .  '">' . $label . '</option>';
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                
                    <div class="ipbe-field-row ipbe-field-x">
                        <div class="ipbe-form-label col-md-3 col-sm-12">
                            <label for="iptesti-isc-form-label"><?php _e( 'Input Label', 'wp_testimony_plus' ); ?></label>
                        </div>
                        <div class="ipbe-field col-md-9 col-sm-12">
                            
                            <div class="ipbe-btn-onoff">
                                <?php
                                $val = 'true';
                                if ( $val == 'false' ) {
                                    $clon  = '';
                                    $cloff = ' ipbe-btn-danger active';
                                } else {
                                    $clon  = ' ipbe-btn-success active';
                                    $cloff = '';
                                }
                                ?>
                                <div class="ipbe-btn-group">
                                    <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_testimony_plus' ); ?></button>
                                    <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_testimony_plus' ); ?></button>
                                </div>
                                <input id="iptesti-isc-form-label" type="hidden" class="ipbe-onoff-value" name="label" value="<?php echo $val; ?>" />
                            </div>
                        </div>
                    </div>
                    <div class="iptesti-sc-footer">
                        <div class="ipbe-button">
                            <input type="submit" class="ipbe-btn ipbe-btn-primary" name="iptesti_scadd_form" id="iptesti_scadd_form" value="<?php _e( 'Insert Form', 'wp_testimony_plus' ); ?>" />
                        </div>
                    </div>
        
                </div>
                </div>
                </form>
            </div>
        </div>
    </div>
</div>