<?php
$setting = $this->setting;
?>
<div class="ipbe-panel">
    <div class="ipbe-panel-header">
        <h3>
            <i class="ibe ibe-cog"></i> 
            <?php _e( 'Content Options', 'wp_testimony_plus' ); ?>
        </h3>
    </div>
    <div class="ipbe-panel-body">
        
        <?php
        //Show Thumbnail
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-show-thumbnail"><?php _e( 'Show Thumbnail', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                
                <div class="ipbe-btn-onoff">
                    <?php
                    $val = $setting->getSetting( 'show_thumbnail', 'true' );
                    if ( $val == 'false' ) {
                        $clon  = '';
                        $cloff = ' ipbe-btn-danger active';
                    } else {
                        $clon  = ' ipbe-btn-success active';
                        $cloff = '';
                    }
                    ?>
                    <div class="ipbe-btn-group">
                        <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_testimony_plus' ); ?></button>
                        <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_testimony_plus' ); ?></button>
                    </div>
                    <input type="hidden" class="ipbe-onoff-value" name="show_thumbnail" value="<?php echo $val; ?>" />
                </div>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Whether to display the thumbnail image.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
        
        <?php
        //Show Subtitle
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-show-subtitle"><?php _e( 'Show Subtitle', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                
                <div class="ipbe-btn-onoff">
                    <?php
                    $val = $setting->getSetting( 'show_subtitle', 'true' );
                    if ( $val == 'false' ) {
                        $clon  = '';
                        $cloff = ' ipbe-btn-danger active';
                    } else {
                        $clon  = ' ipbe-btn-success active';
                        $cloff = '';
                    }
                    ?>
                    <div class="ipbe-btn-group">
                        <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_testimony_plus' ); ?></button>
                        <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_testimony_plus' ); ?></button>
                    </div>
                    <input type="hidden" class="ipbe-onoff-value" name="show_subtitle" value="<?php echo $val; ?>" />
                </div>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Whether to display the subtitle image.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
        
        <?php
        //Show Rating
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-show-rating"><?php _e( 'Show Rating', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                
                <div class="ipbe-btn-onoff">
                    <?php
                    $val = $setting->getSetting( 'show_rating', 'true' );
                    if ( $val == 'false' ) {
                        $clon  = '';
                        $cloff = ' ipbe-btn-danger active';
                    } else {
                        $clon  = ' ipbe-btn-success active';
                        $cloff = '';
                    }
                    ?>
                    <div class="ipbe-btn-group">
                        <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_testimony_plus' ); ?></button>
                        <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_testimony_plus' ); ?></button>
                    </div>
                    <input type="hidden" class="ipbe-onoff-value" name="show_rating" value="<?php echo $val; ?>" />
                </div>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Whether to display the rating image.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
        
        <?php
        //Italic
        ?>
        <div class="ipbe-field-row ipbe-field-x">
            <div class="ipbe-form-label col-md-4 col-sm-12">
                <label for="input-testimonial-italic"><?php _e( 'Italic in Text Testimonial', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-8 col-sm-12">
                
                <div class="ipbe-btn-onoff">
                    <?php
                    $val = $setting->getSetting( 'testimonial_italic', 'true' );
                    if ( $val == 'false' ) {
                        $clon  = '';
                        $cloff = ' ipbe-btn-danger active';
                    } else {
                        $clon  = ' ipbe-btn-success active';
                        $cloff = '';
                    }
                    ?>
                    <div class="ipbe-btn-group">
                        <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_testimony_plus' ); ?></button>
                        <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_testimony_plus' ); ?></button>
                    </div>
                    <input type="hidden" class="ipbe-onoff-value" name="testimonial_italic" value="<?php echo $val; ?>" />
                </div>
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'Whether to display the url image.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>

        <?php
        //Input more
        ?>
        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
            <div class="ipbe-form-label col-md-3 col-sm-12">
                <label for="input-page-more-title"><?php _e( 'Link More Title', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field col-md-9 col-sm-12">
            
                <input type="text" id="input-page-more-title" class="ipbe-input ipbe-input-full" name="page_more_title" value="<?php echo $setting->getSetting( 'page_more_title' ); ?>">
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'The title of the more link in the testimonial.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
    
        
    </div>
</div>