<div id="iptesti-manage" class="wrap ipbe-wrap iptesti-admin iptesti-manage-style">
    <div class="ipbe-inner">
        
        <?php
        $setting = $this->setting;
        if ( $this->style )
        {
            $this->header( 
                'iptesti-style',
                $this->style->post_title,
                '<i class="ibe ibe-calendar"></i> Created: ' .
                    '<strong>' . mysql2date( 'd F Y, h:i', $this->style->post_date ) . '</strong>',
                'pencil',
                array(
                    'title'     => __( 'Add New Style', 'wp_testimony_plus' ),
                    'link'      => 'admin.php?page=iptesti-style&action=create'
                )
            );
        } 
        else 
        {
            $this->header( 
                'iptesti-style',
                __( 'Add New Style', 'wp_testimony_plus' ),
                __( 'Add new style for testimony', 'wp_testimony_plus' ),
                'plus-circle',
                false
            );
        }
        
        if ( $this->style )
        {
            $item_id  = $this->style->ID;
            $style_id = 'iptesti-form-style-update';
            $button   = __( 'Update Style', 'wp_testimony_plus' );
        }
        else
        {
            $item_id  = 0;
            $style_id = 'iptesti-form-style-create';
            $button   = __( 'Create Style', 'wp_testimony_plus' );
        }
        $form_action = admin_url( 'admin-ajax.php' ) . '?doajax=1&iptesti=1&action=iptesti_style_update';
        ?>
        <div class="ipbe-main">
            <div class="ipbe-main-info"></div>

            <div class="ipbe-primary">
                <div class="ipbe-manage-wrap container container-fluid">
                
<form id="<?php echo $style_id; ?>" class="ipbe-form" method="post" action="<?php echo $form_action; ?>">
    <input type="hidden" name="style_id" value="<?php echo $item_id; ?>">
    <div class="ipbe-fields">
    
        <?php
        //Input title
        $title = '';
        if ( $this->style ) {
            $title = stripslashes( $this->style->post_title );
        }
        ?>
        <div id="iptesti-input-style-title" class="ipbe-field-row ipbe-field-y ipbe-help-abs pt0 pb20 mb20">
            <div class="ipbe-style-label">
                <label for="input-title"><?php _e( 'Title', 'wp_testimony_plus' ); ?></label>
            </div>
            <div class="ipbe-field">
                <input type="text" id="input-title" class="ipbe-input ipbe-input-full ipbe-input-v-lg" name="title" value="<?php echo $title; ?>">
                
                <div class="ipbe-help">
                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                    <div class="ipbe-help-content ipbe-hide">
                        <?php _e( 'The title of the style. This data will not be used directly in creating the style but rather a means to easily identify the style so it is easier for you to manage it.', 'wp_testimony_plus' ); ?>
                    </div>
                </div>
            </div>
        </div>
        
        <div class="row">
            <div class="col-md-6">
                <?php
                $this->view( 'style/box' );
                $this->view( 'style/bubble' );
                $this->view( 'style/effect' );
                ?>
            </div>
            <div class="col-md-6">
                <?php
                $this->view( 'style/content' );
                $this->view( 'style/thumbnail' );
                $this->view( 'style/layout' );
                $this->view( 'style/button' );
                ?>
            </div>
        </div>
        
    </div>
    
    <div class="ipbe-manage-footer">
        <div class="row">
            <div class="col-md-6">
                <div class="ipbe-bottom-submit">
                    <button type="submit" class="ip-form-submit ipbe-btn ipbe-btn-primary ipbe-btn-lg" id="iptesti-style-save" name="style_save">
                        <i class="ibe ibe-floppy-o"></i>
                        <strong><?php echo $button; ?></strong>
                    </button>
                </div>
            </div>
            <div class="col-md-6">
                <?php
                if ( $this->style ):
                ?>
                <div class="ipbe-bottom-action text-right">
                    <a href="#" class="ipbe-btn ipbe-btn-danger ipbe-btn-lg iptesti-form-item-delete ipbe-del-edit" data-id="<?php echo $this->style->ID; ?>">
                        <i class="ibe ibe-trash"></i>
                        <?php _e( 'Delete', 'wp_testimony_plus' ); ?>
                    </a>
                </div>
                <?php
                endif;
                ?>
            </div>
        </div>
    
    </div>
</style>
                
                </div>
            </div>
        </div>
    </div>
</div>