<?php
$testimony = $this->testimony;
$setting   = $this->style_setting;
$thumbnail = $setting->getSetting( 'show_thumbnail', 'true' );
$position  = $setting->getSetting( 'box_position', 'top' );
$align     = $setting->getSetting( 'box_alignment', 'left' );
//
//Class
//
$class     = 'iptesti_box_inner iptesti_clear';
if ( $thumbnail == 'true' ) {
    $class .= ' iptesti_thumbnail_on';
} else {
    $class .= ' iptesti_thumbnail_off';
}
//
//Shadow
$shadow = $setting->getSetting( 'box_shadow', 'none' );
$class .= ' iptesti_shadow_' . $shadow;
//
//Radius
$shadow = $setting->getSetting( 'box_border_radius', 'none' );
$class .= ' iptesti_radius_' . $shadow;
//
//Align
$align  = $setting->getSetting( 'box_alignment', 'left' );
$class .= ' iptesti_align_' . $align;
?>
<div class="iptesti_item_box">
    <div class="<?php echo $class; ?>">
        <?php
        if ( $align != 'right' ) {
            if ( $thumbnail == 'true' ) {
                $this->view( 'testimony/item/thumbnail' );
            }
        }
        ?>
        <div class="iptesti_box_main">
            <div class="iptesti_author">
                <div class="iptesti_author_name">
                    <?php
                    $newtab = '';
                    if ( $testimony->testi_info_url_target == 1 ) {
                        $newtab = ' target="_blank"';
                    }
                    $attr = '';
                    if ( $this->schema ) {
                        $attr = ' itemprop="author"';
                    }
                    if( ! empty( $testimony->testi_url ) ) {
                        echo '<a href="' . $testimony->testi_url . '"' . $newtab . $attr . '>' . $testimony->testi_name . '</a>';
                    } else {
                        echo '<span' . $attr . '>' . $testimony->testi_name . '</span>';
                    }
                    ?>
                </div>
                <?php
                $info_on = $setting->getSetting( 'show_subtitle', 'true' );
                if ( $info_on == 'true' && ! empty( $testimony->testi_info )) :
                ?>
                <div class="iptesti_author_info">
                    <?php
                    if( ! empty( $testimony->testi_info_url ) ) 
                    {
                        echo '<a href="' . $testimony->testi_info_url . '"' . $newtab . '>' . $testimony->testi_info . '</a>';
                    } else {
                        echo $testimony->testi_info;
                    }
                    ?>
                </div>
                <?php
                endif;
                
                $rating_on = $setting->getSetting( 'show_rating', 'true' );
                if ( $rating_on == 'true' ) {
                    $this->view( 'testimony/item/rating' );
                }
                ?>
            </div>
        </div>
        <?php
        if ( $align == 'right' ) {
            if ( $thumbnail == 'true' ) {
                $this->view( 'testimony/item/thumbnail' );
            }
        }
        ?>
    </div>
</div>