<?php
$testimony = $this->testimony;
$setting   = $this->style_setting;
$config    = $this->thumbnail_config;
//
//Class
//
$class = 'iptesti_thumbnail_image';
//
//Radius
$radius = $setting->getSetting( 'thumbnail_border_radius', 'none' );
$class .= ' iptesti_radius_' . $radius;
//
//Style
//
$bosize     = $setting->getSetting( 'thumbnail_border_width' );
$bocolor    = $setting->getSetting( 'thumbnail_border_color', '#222222' );
$style      = ' style="border: ' . $bosize . 'px solid ' . $bocolor . ';"';
?>
<div class="<?php echo $class; ?>"<?php echo $style; ?>>
    <?php
    $attach_id = false;
    $gravatar  = get_option( '__iptesti_gravatar', false );
    
    if ( ! $attach_id = $config->getSetting( 'thumbnail' ) ) 
    {
        if ( $gravatar == 'true' && ! empty( $testimony->testi_email ) ) {
            $width = $setting->getSetting( 'thumbnail_width', 78 );
            echo get_avatar( $testimony->testi_email, $width );
        } else {
            $attach_id = $setting->getSetting( 'default_image' );
        }
    }
    if ( $attach_id ) 
    {
        $imgurl = $this->get_thumbnail( $attach_id, $config, $setting );
        $imgtag = '<img src="' . $imgurl . '" alt="">';
        
        if ( $url = $config->getSetting( 'thumbnail_url' ) ) 
        {
            $newtab = '';
            if ( $config->getSetting( 'thumbnail_url_target', 'false' ) == 'true' ) {
                $newtab = ' target="_blank"';
            }
            echo '<a href="' . $url . '"' . $newtab . '>' . $imgtag . '</a>';
        } else {
            echo $imgtag;
        }
    }
    ?>
</div>