<?php
if ( empty( $this->testimony )) {
    return;
}
$setting = $this->style_setting;
$layout  = $setting->getSetting( 'layout_type', 'grid' );
$class   = 'iptesti_style';
$class  .= ' iptesti_layout_' . $layout;
if( $layout == 'grid' ) {
    $column = $setting->getSetting( 'grid_column', 1 );
    $class .= ' iptesti_column_' . $column;
}
$this->view( 'testimony/style' );

$attr = '';
if ( $this->schema ) {
    $attr = ' itemscope itemtype="http://schema.org/Product"';
}
?>
<div class="iptesti iptesti_testimonies"<?php echo $attr; ?>>
    <?php
    if ( $this->schema ) {
        echo '<meta itemprop="name" content="' . $this->product_name . '">';
    }
    ?>
    <div class="<?php echo $class; ?>">
        <div class="iptesti_inner">
            <div class="iptesti_list iptesti_clear">
                <?php
                $this->view( 'testimony/item' );
                ?>
            </div>
        </div>
    </div>
</div>