/**
 * Admin js
 **/
(function($){

    
    $(document).ready(function() 
    {
        /*
         * Manage testimony
         */
        //
        //Add
        var form_testi_add = new ip_form( '#iptesti-form-testimony-create' );
        form_testi_add.is_add = true;
        //Additional data
        form_testi_add.additional_data = function( data )
        {
            if ( this.is_add ) {
                data += '&isadd=1';
            }
            return data;
        };
        form_testi_add.init();
        
        //
        //Update
        var form_testi_edit = new ip_form( '#iptesti-form-testimony-update' );
        form_testi_edit.is_add = false;
        form_testi_edit.init();
        
        //
        //Delete
        var iptesti_testi_delete_url = ajaxurl+'?doajax=1&iptesti=1&action=iptesti_testimony_delete';
        $( '.iptesti-testimony-item-delete' ).ipbe_list_delete( iptesti_testi_delete_url );
        
        /*
         * Manage form
         */
        //
        //Add
        var form_form_add = new ip_form( '#iptesti-form-form-create' );
        form_form_add.is_add = true;
        //Additional data
        form_form_add.additional_data = function( data )
        {
            if ( this.is_add ) {
                data += '&isadd=1';
            }
            return data;
        };
        form_form_add.init();
        
        //
        //Update
        var form_form_edit = new ip_form( '#iptesti-form-form-update' );
        form_form_edit.is_add = false;
        form_form_edit.init();
        
        //
        //Delete
        var iptesti_form_delete_url = ajaxurl+'?doajax=1&iptesti=1&action=iptesti_form_delete';
        $( '.iptesti-form-item-delete' ).ipbe_list_delete( iptesti_form_delete_url );
        
        /*
         * Manage group
         */
        //
        //Add
        var form_group_add = new ip_form( '#iptesti-form-group-create' );
        form_group_add.is_add = true;
        //Additional data
        form_group_add.additional_data = function( data )
        {
            if ( this.is_add ) {
                data += '&isadd=1';
            }
            return data;
        };
        form_group_add.init();
        
        //
        //Update
        var form_group_edit = new ip_form( '#iptesti-form-group-update' );
        form_group_edit.is_add = false;
        form_group_edit.init();
        
        //
        //Delete
        var iptesti_group_delete_url = ajaxurl+'?doajax=1&iptesti=1&action=iptesti_group_delete';
        $( '.iptesti-group-item-delete' ).ipbe_list_delete( iptesti_group_delete_url );
        
        /*
         * Manage style
         */
        //
        //Add
        var form_style_add = new ip_form( '#iptesti-form-style-create' );
        form_style_add.is_add = true;
        //Additional data
        form_style_add.additional_data = function( data )
        {
            if ( this.is_add ) {
                data += '&isadd=1';
            }
            return data;
        };
        form_style_add.init();
        
        //
        //Update
        var form_style_edit = new ip_form( '#iptesti-form-style-update' );
        form_style_edit.is_add = false;
        form_style_edit.init();
        
        //
        //Delete
        var iptesti_style_delete_url = ajaxurl+'?doajax=1&iptesti=1&action=iptesti_style_delete';
        $( '.iptesti-style-item-delete' ).ipbe_list_delete( iptesti_style_delete_url );
        
        /*
         * Settings
         */
        var form_setting = new ip_form( '#iptesti-form-setting' );
        form_setting.init();
        
        //
        //
        //Fade Menu
        //
        if ( $( '.ipbe-fade-menu' ).length > 0 ) {
            $( '.ipbe-fade-menu' ).ipbe_fade_menu();
        }
        
        //
        //Button On Off
        //
        if ( $( '.ipbe-btn-onoff' ).length > 0 ) {
            $( '.ipbe-btn-onoff' ).ipbe_btn_onoff();
        }
        
        //
        //Select/upload image
        //
        if ( $( '.ipbe-upload-image' ).length > 0 ) {
            $( '.ipbe-upload-image' ).ipbe_select_image();
        }
        
        //
        //Toggle
        //
        if ( $( '.ipbe-toggle' ).length > 0 ) {
            $( '.ipbe-toggle' ).ipbe_toggle();
        }
        
        //
        //Fancy Options
        //
        if ( $( '.ipbe-fancy-option' ).length > 0 ) {
            $( '.ipbe-fancy-option' ).ipbe_fancy_option();
        }
        
        //
        //Color picker
        //
        if ( $('.iptesti-color-picker').length > 0 ) {
            $('.iptesti-color-picker').each( function() {
                var picker = $(this);
                picker.wpColorPicker({
                change: function(event, ui){
                    picker.val( ui.color.toString() );
                }
                });
            });
        }
        
        /*
         * Date time picker
         */
        if ( $( '.iptesti-date-picker' ).length > 0 ) 
        {
            $('.iptesti-date-picker').datepicker({
                format: 'yyyy/mm/dd'
            });
        }
        if ( $( '.iptesti-time-picker' ).length > 0 ) 
        {
            $('.iptesti-time-picker').timepicker({
                minuteStep: 10,
                showInputs: false,
                disableFocus: true,
                showMeridian: false,
                defaultTime: false
            });
        }
        
        //Icon select
        if ( $( '.ipbe-faicon-options' ).length > 0 ) 
        {
            $( '.ipbe-faicon-options a' ).ipbe_select_active({
                cont_selector:   '.ipbe-faicon-options',
                item_selector:   'a',
                input_selector:  '.ipbe-icon-selected'
            });
        }
        
        //
        //Layout type select
        $( '#iptesti-layout-type input' ).click( function()
        {
            var value = $(this).val();
            if ( value == 'grid' ) {
                $( '#iptesti-layout-option-grid' ).show();
                $( '#iptesti-layout-option-slider' ).hide();
            } else {
                $( '#iptesti-layout-option-grid' ).hide();
                $( '#iptesti-layout-option-slider' ).show();
            }
        });
        
        //
        //Thumbnail type select
        $( '#iptesti-input-thumbnail-type' ).change( function()
        {
            var value = $(this).val();
            if ( value == 'image' ) {
                $( '#iptesti-thumbnail-type-image' ).show();
                $( '#iptesti-thumbnail-type-video' ).hide();
            } else {
                $( '#iptesti-thumbnail-type-image' ).hide();
                $( '#iptesti-thumbnail-type-video' ).show();
            }
        });
         
    });
    
})(jQuery);